@echo off

REM ===========================================================================
REM ===========================================================================
REM THIS BATCHFILE WILL AUTOMATICALLY BUILD THE TI89 AND COPIES IT TO THE TI89
REM DIRECTORY
REM $Id: build89.bat,v 1.13 2002/10/18 16:03:54 tnussb Exp $
REM ===========================================================================
REM ===========================================================================

if "%1" == "" goto :help

echo --------------------------------------------
echo building TICHESS - %1 TI89 version ...
echo --------------------------------------------

tigcc -DUSE_TI89 -DLANG_%1 -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings logo.c
tigcc -DUSE_TI89 -DLANG_%1 -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings generic.c
tigcc -DUSE_TI89 -DLANG_%1 -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings bg_ti89.c
tigcc -DUSE_TI89 -DLANG_%1 -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings input.c
tigcc -DUSE_TI89 -DLANG_%1 -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings interrupt.c
tigcc -DUSE_TI89 -DLANG_%1 -O2 -fomit-frame-pointer -c -Wall -W -Wwrite-strings board.c
tigcc -DUSE_TI89 -DLANG_%1 -O2 -fomit-frame-pointer -c -Wall -W -Wwrite-strings loadsave.c
tigcc -DUSE_TI89 -DLANG_%1 -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings infoboards.c
tigcc -DUSE_TI89 -DLANG_%1 -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings menu.c
tigcc -DUSE_TI89 -DLANG_%1 -O2 -fomit-frame-pointer -c -Wall -W -Wwrite-strings gui.c
tigcc -DUSE_TI89 -DLANG_%1 -O3 -fomit-frame-pointer -c -Wall -W -Wwrite-strings engine.c
tigcc -DUSE_TI89 -DLANG_%1 -O2 -fomit-frame-pointer -c -Wall -W -Wwrite-strings clocks.c
REM dir *.o
tigcc -DUSE_TI89 -DLANG_%1 -Os -fomit-frame-pointer -Wall -W -Wwrite-strings tichess.c logo.o generic.o bg_ti89.o input.o interrupt.o board.o loadsave.o infoboards.o menu.o gui.o engine.o clocks.o -o ticstart -pack tichess
del ticstart.89z
copy ticstart.89y tichess.89y
del ticstart.9xy
ttsetname -quiet -folder tict -name tichess tichess.89y
copy tichess.89y ..\bin89\%1\tichess.89y
del *.89y
del *.o
tigcc -Os ticstart.c
copy ticstart.89z ..\bin89\%1
del ticstart.89z
del ticstart.9xz


goto :end
:help
echo ***********************************************************
echo * ERROR: NO LANGUAGE SPECIFIED ....
echo ***********************************************************
echo - [USAGE] build89.bat language
echo -
echo - language = english, german, french
echo -
:end

@echo on
